Subject: [bug#30831] [PATCH] gnu: rust: Update rust from 1.22.1 release to 1.24.1

From: Nikolai Merinov <[email-masked]>
Date: Thu, 22 Mar 2018 00:02:46 +0500

Hi Danny,

I checked several times with "guix build --no-grafts --rounds=2 [email-masked]"
with "guix gc" between tries, but it worked correctly. I tried on x86-64
architecture with my patch over 79f450a120068ac1d2fc4e5b4b33ae938b604f95
guix commit. 

Do you know how I can get same result as in your build?

Regards,
Nikolai

Danny Milosavljevic <[email-masked]> writes:

> Hi,
>
> Rust after this patch is not reproducible.
>
> Binary files
> /gnu/store/nbyxci7zgv9z5zrkzw9c5wppgv3bk1rd-rust-1.24.1/lib/librustc-7b5ea53516e6ab59.so
> and
> /gnu/store/nbyxci7zgv9z5zrkzw9c5wppgv3bk1rd-rust-1.24.1-check/lib/librustc-7b5ea53516e6ab59.so
> differ
> Binary files
> /gnu/store/nbyxci7zgv9z5zrkzw9c5wppgv3bk1rd-rust-1.24.1/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-7b5ea53516e6ab59.so
> and
> /gnu/store/nbyxci7zgv9z5zrkzw9c5wppgv3bk1rd-rust-1.24.1-check/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-7b5ea53516e6ab59.so
> differ
>
> diffoscope says:
>
> │ │ │ -  [26] .rustc            PROGBITS        0000000000000000 be3030 6e5dd5 00      0   0 16
> │ │ │ -  [27] .symtab           SYMTAB          0000000000000000 12c8e08 158340 18     28 54351  8
> │ │ │ -  [28] .strtab           STRTAB          0000000000000000 1421148 3b00e3 00      0   0  1
> │ │ │ -  [29] .shstrtab         STRTAB          0000000000000000 17d122b 0000fe 00      0   0  1
> │ │ │ +  [26] .rustc            PROGBITS        0000000000000000 be3030 6e6b05 00      0   0 16
> │ │ │ +  [27] .symtab           SYMTAB          0000000000000000 12c9b38 158340 18     28 54351  8
> │ │ │ +  [28] .strtab           STRTAB          0000000000000000 1421e78 3b00e3 00      0   0  1
> │ │ │ +  [29] .shstrtab         STRTAB          0000000000000000 17d1f5b 0000fe 00      0   0  1
> │ │ │  Key to Flags:
> [...]
> │ │ │ - 1603: 0000000000000000 0x6e5dd5 OBJECT GLOBAL DEFAULT 26
> rust_metadata_rustc_d87c35d223a98218627136b41e7e5b87
> │ │ │ + 1603: 0000000000000000 0x6e6b05 OBJECT GLOBAL DEFAULT 26
> rust_metadata_rustc_d87c35d223a98218627136b41e7e5b87
>
> And a metadata body part is missing in the second round.